#
# spec file for package servletapi4 (Version 4.0.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl ant attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat-32bit file filesystem fillup findutils flex fontconfig-32bit freetype2-32bit gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv java-1_4_2-sun java-1_4_2-sun-devel jpackage-utils klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-alternatives util-linux vim xerces-j2 xml-commons xml-commons-apis xorg-x11-libs-32bit zlib zlib-32bit zlib-devel

Name:           servletapi4
BuildRequires:  ant java-1_4_2-sun-devel update-alternatives xml-commons-apis
%define	base_name	servletapi
%define	major_version	4
%define	name		%{base_name}%{major_version}
%define full_name	jakarta-%{base_name}
%define	version		4.0.4
%define release		3jpp
%define section		free
Version:        4.0.4
Release:        19.2
Summary:        Java servlet and JSP implementation classes
License:        Apache
Group:          Development/Libraries/Java
Source:         %{full_name}-4-src.tar.gz
URL:            http://jakarta.apache.org/tomcat/
Provides:       servlet
PreReq:         /usr/sbin/update-alternatives
Buildrequires:	ant >= 1.2
Buildrequires:  jpackage-utils > 1.4
BuildArch:	noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      servlet4
Obsoletes:      servlet23
Provides:       servlet4
Provides:       servlet23

%description
This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet).



%debug_package
%package javadoc
Group:          Development/Libraries/Java
Summary:        Javadoc for servletapi4
PreReq:         coreutils

%description javadoc
This subproject contains the source code for the implementation classes
of the Java Servlet and JSP APIs (packages javax.servlet). This package
contains the javadoc documentation for the Java Servlet and JSP APIs.



%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{full_name}-4-src

%build
ant dist -Dservletapi.build=build -Dservletapi.dist=dist

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/lib/servlet.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-alternatives --install %{_javadir}/servlet.jar servlet %{_javadir}/%{name}-%{version}.jar 40

%postun
if [ "$1" = "0" ]; then
	update-alternatives --remove servlet %{_javadir}/%{name}-%{version}.jar
fi

%files
%defattr(-,root,root)
%doc LICENSE README.txt
%{_javadir}/*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}

%changelog -n servletapi4
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Thu Sep 16 2004 - skh@suse.de
- Fix prerequires
* Thu Sep 02 2004 - skh@suse.de
- Initial package created with version 4.0.4 (JPackage 1.5)
